<?php require('fpdf/fpdf.php');
  include('qrgen/lib/full/qrlib.php');
  include('casa/setup.casa.php');
$id = DataForms::GET('id');
$titulo = 'Imprimir Producto';

$sql = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = $db->dbField('prod_nombre');
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_observaciones = $db->dbField('prod_observaciones');
//cantidad cajas y unidades
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;

$file = 'prod-imprimir';
//Generar txt
$archivo = fopen($file.'.txt','w+b');
  fwrite($archivo,$datos);
  fflush($archivo);
fclose($archivo);

class PDF extends FPDF{
    //HTML
protected $B = 0;
protected $I = 0;
protected $U = 0;
protected $HREF = '';

function WriteHTML($html){
    // Intérprete de HTML
    $html = str_replace("\n",' ',$html);
    $a = preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e){
        if($i%2==0){
            // Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }else{
            // Etiqueta
            if($e[0]=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else{
                // Extraer atributos
                $a2 = explode(' ',$e);
                $tag = strtoupper(array_shift($a2));
                $attr = array();
                foreach($a2 as $v){
                    if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
                        $attr[strtoupper($a3[1])] = $a3[2];
                }
                $this->OpenTag($tag,$attr);
            }
        }
    }
}
function SetStyle($tag, $enable){
    $this->$tag += ($enable ? 1 : -1);
    $style = '';
    foreach(array('B', 'I', 'U') as $s){
        if($this->$s>0)
            $style .= $s;
    }
    $this->SetFont('',$style);
}
function CloseTag($tag){
    if($tag=='B' || $tag=='I' || $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF = '';
}
function OpenTag($tag, $attr){
    if($tag=='B' || $tag=='I' || $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF = $attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}


}
$CantidadRealCajas=number_format($CantidadRealCajas,1);
//vertical P
//Horizontal L
//$pdf = new PDF('L','mm','Letter');
//$pdf = new PDF('P','mm','Letter'); array(ancho, alto)
  $pdf = new PDF('L','mm',array(120,60));
  $pdf->SetMargins(4,4,4);
  $pdf->SetAutoPageBreak(true,1); 
// Títulos de las columnas
$header = "";//array('','','','','','','','','','','','','','','','','');
// Carga de datos
$pdf->AddPage();
$pdf->SetFont('Arial','',13);
$pdf->WriteHTML('<b>'.strtoupper($prod_nombre).'</b><br><br>');
$pdf->WriteHTML('<b>Item: </b>'.$prod_item.'<br>');

$pdf->SetFont('Arial','',15);
$pdf->WriteHTML('<b>Precio U:</b> $u$.'.$prod_preciounitario);
$pdf->SetFont('Arial','',13);
$pdf->WriteHTML('         <b>Piezas por Caja: </b>'.$prod_piezascaja.'<br>');
$pdf->SetFont('Arial','',15);
$pdf->WriteHTML('<b>Precio Docena:</b> $u$.'.$prod_preciodocena);
$pdf->SetFont('Arial','',13);
$pdf->WriteHTML('     <b>Cantidad: </b>'.$CantidadRealCajas.'<br>');
$pdf->SetFont('Arial','',15);
$pdf->WriteHTML('<b>Precio Caja:</b> $u$.'.$prod_preciocajadocena);
$pdf->SetFont('Arial','',13);
$pdf->WriteHTML('     <b>Obs.: </b>'.$prod_observaciones);
$pdf->WriteHTML('<br><br>                                                <b>El Comercio SyS</b>');
//nueva hoja con QR
$pdf->AddPage();
$qrgen = QRcode::png($prod_item, 'qrs/qrgen.png', QR_ECLEVEL_H);
$pdf->Image('qrs/qrgen.png',0,0,50,50);
$pdf->Image('qrs/logosys.jpg',45,10,70,40);
$pdf->WriteHTML('<br><br><br><br><br><br><br><br><br>'.$prod_item);

$pdf->Output($file.'.pdf','F');



$report = "<script>self.location='".PATH_HOME.$file.".pdf';</script>";
echo $report;
?>